void Max7219Init(char CodeB, char Intensity, char ScanLimit, char ShutDown)
{
  MAX7219_CS_LOAD=1;
  MAX7219_CS_LOAD_DIRECTION=0;
  SPI1_Init();

  MAX7219_CS_LOAD=0;
  SPI1_Write(0x09);
  SPI1_Write(CodeB);
  MAX7219_CS_LOAD=1;

  MAX7219_CS_LOAD=0;
  SPI1_Write(0x0a);
  SPI1_Write(Intensity);
  MAX7219_CS_LOAD=1;

  MAX7219_CS_LOAD=0;
  SPI1_Write(0x0b);//----> scan limit register
  SPI1_Write(ScanLimit);//----> Displays 0-3 segments
  MAX7219_CS_LOAD=1;

  MAX7219_CS_LOAD=0;
  SPI1_Write(0x0c);
  SPI1_Write(ShutDown);
  MAX7219_CS_LOAD=1;

  MAX7219_CS_LOAD=0;
  SPI1_Write(0x00);
  SPI1_Write(0xff);
  MAX7219_CS_LOAD=1;
}

void Max7219Print(unsigned long Number, unsigned short NumberOfDigits)
{
  short i;
  for(i=1;Number>0||i-NumberOfDigits<=0;Number/=10,i++)
  {
    MAX7219_CS_LOAD=0;
    SPI1_write(i);
    SPI1_write(Number%10);
    MAX7219_CS_LOAD=1;
  }
}


void Max7219DisplayOff()
{
  MAX7219_CS_LOAD=0;
  SPI1_write(0x0c);
  SPI1_write(0x00);
  MAX7219_CS_LOAD=1;
}

void Max7219DisplayOn()
{
  MAX7219_CS_LOAD=0;
  SPI1_write(0x0c);
  SPI1_write(0x01);
  MAX7219_CS_LOAD=1;
}

void Max7219UpdateIntensity(char OnValue)
{
  if(OnValue>=0&&OnValue<=15)
  {
    MAX7219_CS_LOAD=0;
    SPI1_write(0x0a);
    SPI1_write(OnValue);
    MAX7219_CS_LOAD=1;
  }
}