extern sfr sbit MAX7219_CS_LOAD;
extern sfr sbit MAX7219_CS_LOAD_DIRECTION;

void Max7219Init(char CodeB, char Intensity, char ScanLimit, char ShutDown);
void Max7219Print(unsigned long Number, unsigned short NumberOfDigits);
void Max7219DisplayOff();
void Max7219DisplayOn();
void Max7219UpdateIntensity(char OnValue);


struct Max7219Struct
{
  void (*Init)(char CodeB, char Intensity, char ScanLimit, char ShutDown);
  void (*Print)(unsigned long Number, unsigned short NumberOfDigits);
  void (*TurnOff)();
  void (*TurnOn)();
  void (*ChangeIntensity)(char OnValue);
}Display={&Max7219Init,&Max7219Print,&Max7219DisplayOff,&Max7219DisplayOn,&Max7219UpdateIntensity};


#include "Max7219Lib.c"