
_Max7219Init:

;max7219lib.c,1 :: 		void Max7219Init(char CodeB, char Intensity, char ScanLimit, char ShutDown)
;max7219lib.c,3 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,4 :: 		MAX7219_CS_LOAD_DIRECTION=0;
	BCF        MAX7219_CS_LOAD_DIRECTION+0, BitPos(MAX7219_CS_LOAD_DIRECTION+0)
;max7219lib.c,5 :: 		SPI1_Init();
	CALL       _SPI1_Init+0
;max7219lib.c,7 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,8 :: 		SPI1_Write(0x09);
	MOVLW      9
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,9 :: 		SPI1_Write(CodeB);
	MOVF       FARG_Max7219Init_CodeB+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,10 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,12 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,13 :: 		SPI1_Write(0x0a);
	MOVLW      10
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,14 :: 		SPI1_Write(Intensity);
	MOVF       FARG_Max7219Init_Intensity+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,15 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,17 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,18 :: 		SPI1_Write(0x0b);//----> scan limit register
	MOVLW      11
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,19 :: 		SPI1_Write(ScanLimit);//----> Displays 0-3 segments
	MOVF       FARG_Max7219Init_ScanLimit+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,20 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,22 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,23 :: 		SPI1_Write(0x0c);
	MOVLW      12
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,24 :: 		SPI1_Write(ShutDown);
	MOVF       FARG_Max7219Init_ShutDown+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,25 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,27 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,28 :: 		SPI1_Write(0x00);
	CLRF       FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,29 :: 		SPI1_Write(0xff);
	MOVLW      255
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,30 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,31 :: 		}
L_end_Max7219Init:
	RETURN
; end of _Max7219Init

_Max7219Print:

;max7219lib.c,33 :: 		void Max7219Print(unsigned long Number, unsigned short NumberOfDigits)
;max7219lib.c,36 :: 		for(i=1;Number>0||i-NumberOfDigits<=0;Number/=10,i++)
	MOVLW      1
	MOVWF      Max7219Print_i_L0+0
L_Max7219Print0:
	MOVF       FARG_Max7219Print_Number+3, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Max7219Print25
	MOVF       FARG_Max7219Print_Number+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Max7219Print25
	MOVF       FARG_Max7219Print_Number+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Max7219Print25
	MOVF       FARG_Max7219Print_Number+0, 0
	SUBLW      0
L__Max7219Print25:
	BTFSS      STATUS+0, 0
	GOTO       L__Max7219Print21
	MOVF       FARG_Max7219Print_NumberOfDigits+0, 0
	SUBWF      Max7219Print_i_L0+0, 0
	MOVWF      R1+0
	CLRF       R1+1
	BTFSS      STATUS+0, 0
	DECF       R1+1, 1
	MOVLW      0
	BTFSC      Max7219Print_i_L0+0, 7
	MOVLW      255
	ADDWF      R1+1, 1
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      R1+1, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Max7219Print26
	MOVF       R1+0, 0
	SUBLW      0
L__Max7219Print26:
	BTFSC      STATUS+0, 0
	GOTO       L__Max7219Print21
	GOTO       L_Max7219Print1
L__Max7219Print21:
;max7219lib.c,38 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,39 :: 		SPI1_write(i);
	MOVF       Max7219Print_i_L0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,40 :: 		SPI1_write(Number%10);
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       FARG_Max7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_Max7219Print_Number+1, 0
	MOVWF      R0+1
	MOVF       FARG_Max7219Print_Number+2, 0
	MOVWF      R0+2
	MOVF       FARG_Max7219Print_Number+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,41 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,36 :: 		for(i=1;Number>0||i-NumberOfDigits<=0;Number/=10,i++)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       FARG_Max7219Print_Number+0, 0
	MOVWF      R0+0
	MOVF       FARG_Max7219Print_Number+1, 0
	MOVWF      R0+1
	MOVF       FARG_Max7219Print_Number+2, 0
	MOVWF      R0+2
	MOVF       FARG_Max7219Print_Number+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_Max7219Print_Number+0
	MOVF       R0+1, 0
	MOVWF      FARG_Max7219Print_Number+1
	MOVF       R0+2, 0
	MOVWF      FARG_Max7219Print_Number+2
	MOVF       R0+3, 0
	MOVWF      FARG_Max7219Print_Number+3
	INCF       Max7219Print_i_L0+0, 1
;max7219lib.c,42 :: 		}
	GOTO       L_Max7219Print0
L_Max7219Print1:
;max7219lib.c,43 :: 		}
L_end_Max7219Print:
	RETURN
; end of _Max7219Print

_Max7219DisplayOff:

;max7219lib.c,46 :: 		void Max7219DisplayOff()
;max7219lib.c,48 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,49 :: 		SPI1_write(0x0c);
	MOVLW      12
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,50 :: 		SPI1_write(0x00);
	CLRF       FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,51 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,52 :: 		}
L_end_Max7219DisplayOff:
	RETURN
; end of _Max7219DisplayOff

_Max7219DisplayOn:

;max7219lib.c,54 :: 		void Max7219DisplayOn()
;max7219lib.c,56 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,57 :: 		SPI1_write(0x0c);
	MOVLW      12
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,58 :: 		SPI1_write(0x01);
	MOVLW      1
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,59 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,60 :: 		}
L_end_Max7219DisplayOn:
	RETURN
; end of _Max7219DisplayOn

_Max7219UpdateIntensity:

;max7219lib.c,62 :: 		void Max7219UpdateIntensity(char OnValue)
;max7219lib.c,64 :: 		if(OnValue>=0&&OnValue<=15)
	MOVLW      0
	SUBWF      FARG_Max7219UpdateIntensity_OnValue+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Max7219UpdateIntensity7
	MOVF       FARG_Max7219UpdateIntensity_OnValue+0, 0
	SUBLW      15
	BTFSS      STATUS+0, 0
	GOTO       L_Max7219UpdateIntensity7
L__Max7219UpdateIntensity22:
;max7219lib.c,66 :: 		MAX7219_CS_LOAD=0;
	BCF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,67 :: 		SPI1_write(0x0a);
	MOVLW      10
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,68 :: 		SPI1_write(OnValue);
	MOVF       FARG_Max7219UpdateIntensity_OnValue+0, 0
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;max7219lib.c,69 :: 		MAX7219_CS_LOAD=1;
	BSF        MAX7219_CS_LOAD+0, BitPos(MAX7219_CS_LOAD+0)
;max7219lib.c,70 :: 		}
L_Max7219UpdateIntensity7:
;max7219lib.c,71 :: 		}
L_end_Max7219UpdateIntensity:
	RETURN
; end of _Max7219UpdateIntensity

_main:

;MyProject.c,34 :: 		void main()
;MyProject.c,36 :: 		Display.Init(0x0f,0x0f,0x03,0x01);// Initialize Max7219
	MOVF       _Display+2, 0
	MOVWF      FSR
	MOVLW      15
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVLW      15
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVLW      3
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVLW      1
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _Display+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,37 :: 		Display.Print(0,4);// Put Initial Value To Display for 4 seven segemnts
	MOVF       _Display+5, 0
	MOVWF      FSR
	CLRF       INDF+0
	INCF       FSR, 1
	CLRF       INDF+0
	INCF       FSR, 1
	CLRF       INDF+0
	INCF       FSR, 1
	CLRF       INDF+0
	INCF       FSR, 1
	MOVLW      4
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _Display+3, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+4, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,39 :: 		Display.ChangeIntensity(1);//low brightness for one second
	MOVF       _Display+14, 0
	MOVWF      FSR
	MOVLW      1
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _Display+12, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+13, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,40 :: 		delay_ms(1000);
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L_main8:
	DECFSZ     R13+0, 1
	GOTO       L_main8
	DECFSZ     R12+0, 1
	GOTO       L_main8
	DECFSZ     R11+0, 1
	GOTO       L_main8
	NOP
;MyProject.c,41 :: 		Display.ChangeIntensity(15);//high brightness for one second
	MOVF       _Display+14, 0
	MOVWF      FSR
	MOVLW      15
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _Display+12, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+13, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,42 :: 		delay_ms(1000);
	MOVLW      13
	MOVWF      R11+0
	MOVLW      175
	MOVWF      R12+0
	MOVLW      182
	MOVWF      R13+0
L_main9:
	DECFSZ     R13+0, 1
	GOTO       L_main9
	DECFSZ     R12+0, 1
	GOTO       L_main9
	DECFSZ     R11+0, 1
	GOTO       L_main9
	NOP
;MyProject.c,44 :: 		for(i=0;i<10;i++)// Blink Display 10 Times
	CLRF       _i+0
	CLRF       _i+1
	CLRF       _i+2
	CLRF       _i+3
L_main10:
	MOVLW      0
	SUBWF      _i+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main31
	MOVLW      0
	SUBWF      _i+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main31
	MOVLW      0
	SUBWF      _i+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main31
	MOVLW      10
	SUBWF      _i+0, 0
L__main31:
	BTFSC      STATUS+0, 0
	GOTO       L_main11
;MyProject.c,46 :: 		Display.TurnOff();
	MOVF       _Display+6, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+7, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,47 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main13:
	DECFSZ     R13+0, 1
	GOTO       L_main13
	DECFSZ     R12+0, 1
	GOTO       L_main13
	DECFSZ     R11+0, 1
	GOTO       L_main13
	NOP
	NOP
;MyProject.c,48 :: 		Display.TurnOn();
	MOVF       _Display+9, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+10, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,49 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main14:
	DECFSZ     R13+0, 1
	GOTO       L_main14
	DECFSZ     R12+0, 1
	GOTO       L_main14
	DECFSZ     R11+0, 1
	GOTO       L_main14
	NOP
	NOP
;MyProject.c,44 :: 		for(i=0;i<10;i++)// Blink Display 10 Times
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVF       _i+1, 0
	MOVWF      R0+1
	MOVF       _i+2, 0
	MOVWF      R0+2
	MOVF       _i+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _i+0
	MOVF       R0+1, 0
	MOVWF      _i+1
	MOVF       R0+2, 0
	MOVWF      _i+2
	MOVF       R0+3, 0
	MOVWF      _i+3
;MyProject.c,50 :: 		}
	GOTO       L_main10
L_main11:
;MyProject.c,52 :: 		while(1)// loop forever
L_main15:
;MyProject.c,54 :: 		for(i=0;i<512;i++)//Count From 0 To 511 And Display on 4 Seven segemnts
	CLRF       _i+0
	CLRF       _i+1
	CLRF       _i+2
	CLRF       _i+3
L_main17:
	MOVLW      0
	SUBWF      _i+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main32
	MOVLW      0
	SUBWF      _i+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main32
	MOVLW      2
	SUBWF      _i+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main32
	MOVLW      0
	SUBWF      _i+0, 0
L__main32:
	BTFSC      STATUS+0, 0
	GOTO       L_main18
;MyProject.c,56 :: 		Display.Print(i,4);
	MOVF       _Display+5, 0
	MOVWF      FSR
	MOVF       _i+0, 0
	MOVWF      INDF+0
	MOVF       _i+1, 0
	INCF       FSR, 1
	MOVWF      INDF+0
	MOVF       _i+2, 0
	INCF       FSR, 1
	MOVWF      INDF+0
	MOVF       _i+3, 0
	INCF       FSR, 1
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVLW      4
	MOVWF      INDF+0
	INCF       FSR, 1
	MOVF       _Display+3, 0
	MOVWF      ___DoICPAddr+0
	MOVF       _Display+4, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoIFC+0
;MyProject.c,57 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_main20:
	DECFSZ     R13+0, 1
	GOTO       L_main20
	DECFSZ     R12+0, 1
	GOTO       L_main20
	DECFSZ     R11+0, 1
	GOTO       L_main20
	NOP
	NOP
;MyProject.c,54 :: 		for(i=0;i<512;i++)//Count From 0 To 511 And Display on 4 Seven segemnts
	MOVF       _i+0, 0
	MOVWF      R0+0
	MOVF       _i+1, 0
	MOVWF      R0+1
	MOVF       _i+2, 0
	MOVWF      R0+2
	MOVF       _i+3, 0
	MOVWF      R0+3
	INCF       R0+0, 1
	BTFSC      STATUS+0, 2
	INCF       R0+1, 1
	BTFSC      STATUS+0, 2
	INCF       R0+2, 1
	BTFSC      STATUS+0, 2
	INCF       R0+3, 1
	MOVF       R0+0, 0
	MOVWF      _i+0
	MOVF       R0+1, 0
	MOVWF      _i+1
	MOVF       R0+2, 0
	MOVWF      _i+2
	MOVF       R0+3, 0
	MOVWF      _i+3
;MyProject.c,58 :: 		}
	GOTO       L_main17
L_main18:
;MyProject.c,59 :: 		}
	GOTO       L_main15
;MyProject.c,61 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
